/**/
#include <iostream>
#include <bits/stdc++.h>
#include <cmath>
using namespace std;

int main()
{
    long long N,Q,med;
    //unos clanova komisije i broja scenarija
    cin>>N>>Q;
    long long A[N+100000],A1[N+100000],B[Q];
    bool postoji=false;
    //unos glasova
    for(long long i=0;i<N;i++)
    {
        cin>>A[i];
    }
    //unos scenarija
    for(long long i=0;i<Q;i++)
    {
        cin>>B[i];
    }
    //pronalazenje medijane
    if(N%2==0)
    {
        med=A[N/2+1];
    }
    else
    {
        med=A[N/2];
    }
    //ako je medijna vec trazeni scenario onda ispisati 0, a u suprotnom
    for(long long i=0;i<Q;i++)
    {
        //provera da li dati broj postoji u nizu A
        for(long long p=0;p<N;p++)
        {
            if(A[p]==B[i])
            {
                postoji=true;
            }
        }
        //kopiranje niza i ipis radi provere
        for(long long i=0;i<N;i++)
        {
            A1[i]=A[i];
        }
        A1[N]=B[i];
        sort(A1, A1 + (N+1));
        
        if(B[i]==med)
        {
            cout<<0<<endl;
        }
        else
        {
            long long a=0,a1,isto=0,b=0;
            
            while(A1[a]!=B[i])
            {
                a++;
            }
            a1=a;
            while(A[a1]==B[i])
            {
                a1++;
            }
            b=N-a1;
            if(postoji)
            {
                cout<<abs(a-b-1)<<endl;
            }
            else
            {
                cout<<abs(a-b)<<endl;
            }
        }
    }
    return 0;
}